Installing Raven

With Ruby

There are a few prerequisites to use Raven, basically: Ruby, RubyGems and Rake. Once you have these, its very easy.

For Windows users, I'd really recommend the one-click installer. Everything you need is already in it.

For Linux users, you will first need to install Ruby. Then install RubyGems. Finally, the following command will get you Rake:

%> gem install rake

Once your environment is ready, just use:

%> gem install raven

Alternatively you can download the Raven Gem from Rubyforge and install it manually

Note: Whichever solution you try to install Raven, you will need RubyGems >= 0.9

With JRuby

First note that for now only JRuby 0.9.1 is supported, the latest JRuby 0.9.2 has a bug that could lead to some problems with Raven. The only thing you will need to do is:

  • Download the Raven distribution prepackaged with JRuby.
  • Unzip it somewhere and set the environment variable JRUBY_HOME.
  • Add the JRuby bin directory to your path.
  • You're set!